interface ModuleInfo {
    module: Record<string, any>;
    specifier: string;
}
declare class Metadata {
    modules: ModuleInfo[];
    fileURL: URL;
    private metadataCache;
    constructor(fileURL: string, modules: ModuleInfo[], components: any[]);
    getPath(Component: any): string | null;
    getExport(Component: any): string | null;
    private getComponentMetadata;
    private findComponentMetadata;
}
interface CreateMetadataOptions {
    modules: ModuleInfo[];
    hydratedComponents: any[];
    hoisted: any[];
}
export declare function createMetadata(fileURL: string, options: CreateMetadataOptions): Metadata;
export {};
